Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Class AbstractCommitLogExecutorService

    java.lang.Object
      java.util.concurrent.AbstractExecutorService
          org.apache.cassandra.db.commitlog.AbstractCommitLogExecutorService

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService, IExecutorMBean, ICommitLogExecutorService

    public abstract class AbstractCommitLogExecutorService

extends java.util.concurrent.AbstractExecutorService
implements ICommitLogExecutorService

Field Summary
`protected long` | `completedTaskCount`

Constructor Summary
`AbstractCommitLogExecutorService()`

Method Summary
`boolean` | `awaitTermination(long timeout, java.util.concurrent.TimeUnit unit)`
`int` | `getActiveCount()` Get the current number of running tasks
`long` | `getCompletedTasks()` Get the number of completed tasks
`boolean` | `isShutdown()`
`boolean` | `isTerminated()`
`protected static void` | `registerMBean(java.lang.Object o)`
`void` | `shutdown()`
`java.util.List<java.lang.Runnable>` | `shutdownNow()`

Methods inherited from class java.util.concurrent.AbstractExecutorService
`invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.db.commitlog.ICommitLogExecutorService
`add, submit`

Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean
`getPendingTasks`

Methods inherited from interface java.util.concurrent.Executor
`execute`

Field Detail

### completedTaskCount

    protected volatile long completedTaskCount

Constructor Detail

### AbstractCommitLogExecutorService

    public AbstractCommitLogExecutorService()

Method Detail

### registerMBean

    protected static void registerMBean(java.lang.Object o)

### getActiveCount

    public int getActiveCount()

  Get the current number of running tasks

  Specified by:
    `getActiveCount` in interface `IExecutorMBean`

### getCompletedTasks

    public long getCompletedTasks()

  Get the number of completed tasks

  Specified by:
    `getCompletedTasks` in interface `IExecutorMBean`

### isShutdown

    public boolean isShutdown()

  Specified by:
    `isShutdown` in interface `java.util.concurrent.ExecutorService`

### isTerminated

    public boolean isTerminated()

  Specified by:
    `isTerminated` in interface `java.util.concurrent.ExecutorService`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `java.util.concurrent.ExecutorService`

### shutdownNow

    public java.util.List<java.lang.Runnable> shutdownNow()

  Specified by:
    `shutdownNow` in interface `java.util.concurrent.ExecutorService`

### awaitTermination

    public boolean awaitTermination(long timeout,
                                    java.util.concurrent.TimeUnit unit)
                             throws java.lang.InterruptedException

  Specified by:
    `awaitTermination` in interface `java.util.concurrent.ExecutorService`
  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation